View Issue Details

IDProjectCategoryView StatusLast Update
0007102GNUnetdocumentationpublic2022-02-26 23:10
ReporterCalvin Heim Assigned ToChristian Grothoff  
PrioritynormalSeveritytextReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionGit master 
Target Version0.16.0Fixed in Version0.16.0 
Summary0007102: git clone command in website install instructions results in redirection error
DescriptionThe installation instructions at https://www.gnunet.org/en/install.html list a git clone command
to fetch the GNUnet source code, but executing that command results in the following terminal session:

$ git clone https://gnunet.org/git/gnunet.git
Cloning into 'gnunet'...
fatal: unable to update url base from redirection:
  asked for: https://gnunet.org/git/gnunet.git/info/refs?service=git-upload-pack
   redirect: https://git.gnunet.org/
Steps To ReproduceGo to https://www.gnunet.org/en/install.html
search for the line matching "git clone".
execute the command given in the matching line
Additional InformationThe attached patch for the www repository changes the line to use the git.gnunet.org subdomain.
Tagspatch, website

Activities

Calvin Heim

2021-11-22 15:23

reporter  

0001-Update-install-instructions-to-clone-from-git.gnunet.patch (841 bytes)   
From e2d4c4ddecaada0b63eec2b743c197afbee4e293 Mon Sep 17 00:00:00 2001
From: Calvin Lee Heim III <frofroggy@gmail.com>
Date: Mon, 22 Nov 2021 05:42:18 -0800
Subject: [PATCH] Update install instructions to clone from git.gnunet.org
 domain

The previous instruction cloned from gnunet.org instead.
---
 template/install.html.j2 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/template/install.html.j2 b/template/install.html.j2
index 588525a..a975124 100644
--- a/template/install.html.j2
+++ b/template/install.html.j2
@@ -98,7 +98,7 @@ If you have any queries about the installation or the usage, please <a href="eng
    {% endtrans %}
   </p>
   <code class="block">
-    $ git clone https://gnunet.org/git/gnunet.git
+    $ git clone https://git.gnunet.org/git/gnunet.git
   </code>
   <p>
    {% trans %}
-- 
2.34.0

Christian Grothoff

2021-12-14 18:02

manager   ~0018569

Thanks, pushed as 010019b..eb3ce3a

schanzen

2022-02-26 23:10

manager   ~0018728

0.16.0 released

Issue History

Date Modified Username Field Change
2021-11-22 15:23 Calvin Heim New Issue
2021-11-22 15:23 Calvin Heim Tag Attached: website
2021-11-22 15:23 Calvin Heim File Added: 0001-Update-install-instructions-to-clone-from-git.gnunet.patch
2021-11-23 10:42 Calvin Heim Tag Attached: patch
2021-12-14 18:02 Christian Grothoff Note Added: 0018569
2021-12-14 18:02 Christian Grothoff Assigned To => Christian Grothoff
2021-12-14 18:02 Christian Grothoff Status new => resolved
2021-12-14 18:02 Christian Grothoff Resolution open => fixed
2021-12-14 18:02 Christian Grothoff Fixed in Version => 0.15.4
2021-12-14 18:02 Christian Grothoff Product Version => Git master
2021-12-14 18:02 Christian Grothoff Target Version => 0.15.4
2021-12-31 09:26 schanzen Target Version 0.15.4 => 0.16.0
2022-02-22 23:06 schanzen Fixed in Version => 0.16.0
2022-02-26 23:10 schanzen Note Added: 0018728
2022-02-26 23:10 schanzen Status resolved => closed